> For the complete documentation index, see [llms.txt](https://docs.scrt.network/secret-network-documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.scrt.network/secret-network-documentation/infrastructure/running-a-node-validator/setting-up-a-node-validator/testnet/installing-cli-and-creating-a-new-address.md).

# Installing CLI & Creating A New Address

### Download <a href="#setup-the-executable" id="setup-the-executable"></a>

Get the latest release of secretcli for your OS [HERE](https://github.com/scrtlabs/SecretNetwork/releases).

### Install <a href="#setup-the-executable" id="setup-the-executable"></a>

* Mac/Windows: Rename it from `secretcli-${VERSION}-${OS}` to `secretcli` or `secretcli.exe` and put it in your path
* Ubuntu/Debian: `sudo dpkg -i secret*.deb`

### Setup the executable <a href="#setup-the-executable" id="setup-the-executable"></a>

Linux and MacOS users:

```bash
chmod +x secretcli
```

### Configure <a href="#setup-the-executable" id="setup-the-executable"></a>

```bash
secretcli config set client chain-id pulsar-3
secretcli config set client output json
secretcli config set client node https://rpc.pulsar.scrttestnet.com
```

You can find alternate node endpoints in the [API registry](/secret-network-documentation/development/resources-api-contract-addresses/connecting-to-the-network.md), or run your own [full node](/secret-network-documentation/infrastructure/running-a-node-validator/setting-up-a-node-validator/testnet/run-a-full-node.md)

### Check the installation <a href="#create-a-new-address" id="create-a-new-address"></a>

```bash
secretcli status
```

```json
{
  "NodeInfo": {
    "protocol_version": {
      "p2p": "8",
      "block": "11",
      "app": "0"
    },
    "id": "a3c9c415fe6b46babd16f000c7dbd4d94be6e450",
    "listen_addr": "tcp://0.0.0.0:26656",
    "network": "pulsar-3",
    "version": "0.34.24",
    "channels": "40202122233038606100",
    "moniker": "pulsator3",
    "other": {
      "tx_index": "on",
      "rpc_address": "tcp://127.0.0.1:26657"
    }
  },
  "SyncInfo": {
    "latest_block_hash": "8295231C26AD045BD2451DB027F149DA089014F0DC69583AB50A3AE24DEE3B13",
    "latest_app_hash": "74070BFAE77578D5DD391EED26677DD6C3EBF535C5ACA15EA2C6FE12BC3DED46",
    "latest_block_height": "117302",
    "latest_block_time": "2023-07-19T18:35:38.186447689Z",
    "earliest_block_hash": "4EB0D9FA820FFCEEDED341FCBC996A05BDE271D155E88A6038CAB1445687FF1A",
    "earliest_app_hash": "E3B0C44298FC1C149AFBF4C8996FB92427AE41E4649B934CA495991B7852B855",
    "earliest_block_height": "1",
    "earliest_block_time": "2023-07-12T14:23:36.016368475Z",
    "catching_up": false
  },
  "ValidatorInfo": {
    "Address": "27BF7A7B7E8C5728150487E6E2C385945CA6DEDB",
    "PubKey": {
      "type": "tendermint/PubKeyEd25519",
      "value": "6Ux76jUesi24eWtXKTSyQWREaTT1VMS+HhEqIB2D5yo="
    },
    "VotingPower": "0"
  }
}
```

### Create a new address <a href="#create-a-new-address" id="create-a-new-address"></a>

```bash
secretcli keys add <name>
```

See more details on how to use the CLI [here](https://docs.scrt.network/secret-network-documentation/infrastructure/secret-cli/generating-keys)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.scrt.network/secret-network-documentation/infrastructure/running-a-node-validator/setting-up-a-node-validator/testnet/installing-cli-and-creating-a-new-address.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
